> # NAME

> cgDisconnectParameter - disconnects two parameters

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgDisconnectParameter( CGparameter param );

> # PARAMETERS

> param

>   The destination parameter in the connection that will be disconnected.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgDisconnectParameter disconnects an existing connection made with cgConnectParameter between two parameters. Since a given parameter can only be connected to one source parameter, only the destination parameter is required as an argument to cgDisconnectParameter.

> If the type of param is an interface and the struct connected to it implements the interface, any sub-parameters created by the connection will also be destroyed. See cgConnectParameter for more information.

> # EXAMPLES

>       CGparameter timeParam = cgGetNamedParameter(program, "time");
>       CGparameter sharedTime = cgCreateParameter(context,
>                                                  cgGetParameterType(timeParam));

>       cgConnectParameter(sharedTime, timeParam);

>       /* ... */

>       cgDisconnectParameter(timeParam);

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgDisconnectParameter was introduced in Cg 1.2.

> # SEE ALSO

> cgGetConnectedParameter, cgGetConnectedToParameter, cgConnnectParameter